Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface Colormap

All Known Implementing Classes:
  ColormapImpl

public interface Colormap
extends Create, CreateS

An class for creating a color palette for use with a Raster.. Mechanism used to map numbers in the range [0, 255] to colour names. Create an XColormap, allocate colours in it, and pass it to a Raster widget for drawing.

Method Summary
`boolean` | `setColor$ToGrey(byte c, double g)` Add a color of a certain level of grey.
`boolean` | `setColor$ToName(byte c, java.lang.String colorName)` Add color index `c' looking up the color name in the color database.
`boolean` | `setColor$ToRed$Green$Blue(byte c, double r, double g, double b)` Add color index `c' to the color map, using a certain percent of red, green, and blue.
`void` | `unsetColor(byte c)` Remove color at index `c' from the color map.

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setColor$ToRed$Green$Blue

    public boolean setColor$ToRed$Green$Blue(byte c,
                                             double r,
                                             double g,
                                             double b)

  Add color index `c' to the color map, using a certain percent of red, green, and blue.

### setColor$ToName

    public boolean setColor$ToName(byte c,
                                   java.lang.String colorName)

  Add color index `c' looking up the color name in the color database.

### setColor$ToGrey

    public boolean setColor$ToGrey(byte c,
                                   double g)

  Add a color of a certain level of grey.

### unsetColor

    public void unsetColor(byte c)

  Remove color at index `c' from the color map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD